package org.framework.lazy.cloud.network.heartbeat.server.standalone.controller;

import io.swagger.v3.oas.annotations.tags.Tag;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import org.wu.framework.web.spring.EasyController;
import org.springframework.web.bind.annotation.*;
import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import jakarta.annotation.Resource;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMapping;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMappingRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMappingStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMappingUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMappingQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMappingQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.LazyInternalNetworkClientPermeateClientMappingApplication;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyInternalNetworkClientPermeateClientMappingDTO;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 客户端渗透客户端映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 09:55 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyController 
 **/
@Tag(name = "客户端渗透客户端映射提供者")
@EasyController("/lazy/internal/network/client/permeate/client/mapping")
public class LazyInternalNetworkClientPermeateClientMappingProvider  {

    @Resource
    private LazyInternalNetworkClientPermeateClientMappingApplication lazyInternalNetworkClientPermeateClientMappingApplication;

    /**
     * describe 新增客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingStoryCommand 新增客户端渗透客户端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateClientMapping>} 客户端渗透客户端映射新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "新增客户端渗透客户端映射")
    @PostMapping("/story")
    public Result<LazyInternalNetworkClientPermeateClientMapping> story(@RequestBody LazyInternalNetworkClientPermeateClientMappingStoryCommand lazyInternalNetworkClientPermeateClientMappingStoryCommand){
        return lazyInternalNetworkClientPermeateClientMappingApplication.story(lazyInternalNetworkClientPermeateClientMappingStoryCommand);
    }
    /**
     * describe 批量新增客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingStoryCommandList 批量新增客户端渗透客户端映射     
     * @return {@link Result<List<LazyInternalNetworkClientPermeateClientMapping>>} 客户端渗透客户端映射新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "批量新增客户端渗透客户端映射")
    @PostMapping("/batchStory")
    public Result<List<LazyInternalNetworkClientPermeateClientMapping>> batchStory(@RequestBody List<LazyInternalNetworkClientPermeateClientMappingStoryCommand> lazyInternalNetworkClientPermeateClientMappingStoryCommandList){
        return lazyInternalNetworkClientPermeateClientMappingApplication.batchStory(lazyInternalNetworkClientPermeateClientMappingStoryCommandList);
    }
    /**
     * describe 更新客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingUpdateCommand 更新客户端渗透客户端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateClientMapping>} 客户端渗透客户端映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "更新客户端渗透客户端映射")
    @PutMapping("/updateOne")
    public Result<LazyInternalNetworkClientPermeateClientMapping> updateOne(@RequestBody LazyInternalNetworkClientPermeateClientMappingUpdateCommand lazyInternalNetworkClientPermeateClientMappingUpdateCommand){
        return lazyInternalNetworkClientPermeateClientMappingApplication.updateOne(lazyInternalNetworkClientPermeateClientMappingUpdateCommand);
    }
    /**
     * describe 查询单个客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingQueryOneCommand 查询单个客户端渗透客户端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateClientMappingDTO>} 客户端渗透客户端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "查询单个客户端渗透客户端映射")
    @GetMapping("/findOne")
    public Result<LazyInternalNetworkClientPermeateClientMappingDTO> findOne(@ModelAttribute LazyInternalNetworkClientPermeateClientMappingQueryOneCommand lazyInternalNetworkClientPermeateClientMappingQueryOneCommand){
        return lazyInternalNetworkClientPermeateClientMappingApplication.findOne(lazyInternalNetworkClientPermeateClientMappingQueryOneCommand);
    }
    /**
     * describe 查询多个客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingQueryListCommand 查询多个客户端渗透客户端映射     
     * @return {@link Result<List<LazyInternalNetworkClientPermeateClientMappingDTO>>} 客户端渗透客户端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "查询多个客户端渗透客户端映射")
    @GetMapping("/findList")
    public Result<List<LazyInternalNetworkClientPermeateClientMappingDTO>> findList(@ModelAttribute LazyInternalNetworkClientPermeateClientMappingQueryListCommand lazyInternalNetworkClientPermeateClientMappingQueryListCommand){
        return lazyInternalNetworkClientPermeateClientMappingApplication.findList(lazyInternalNetworkClientPermeateClientMappingQueryListCommand);
    }
    /**
     * describe 分页查询多个客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingQueryListCommand 分页查询多个客户端渗透客户端映射     
     * @return {@link Result<LazyPage<LazyInternalNetworkClientPermeateClientMappingDTO>>} 分页客户端渗透客户端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "分页查询多个客户端渗透客户端映射")
    @GetMapping("/findPage")
    public Result<LazyPage<LazyInternalNetworkClientPermeateClientMappingDTO>> findPage(@Parameter(description ="分页大小") @RequestParam(defaultValue = "10", value = "size") int size,
                           @Parameter(description ="当前页数") @RequestParam(defaultValue = "1", value = "current") int current,@ModelAttribute LazyInternalNetworkClientPermeateClientMappingQueryListCommand lazyInternalNetworkClientPermeateClientMappingQueryListCommand){
        return lazyInternalNetworkClientPermeateClientMappingApplication.findPage(size,current,lazyInternalNetworkClientPermeateClientMappingQueryListCommand);
    }
    /**
     * describe 删除客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingRemoveCommand 删除客户端渗透客户端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateClientMapping>} 客户端渗透客户端映射     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    @Operation(summary = "删除客户端渗透客户端映射")
    @DeleteMapping("/remove")
    public Result<LazyInternalNetworkClientPermeateClientMapping> remove(@ModelAttribute LazyInternalNetworkClientPermeateClientMappingRemoveCommand lazyInternalNetworkClientPermeateClientMappingRemoveCommand){
        return lazyInternalNetworkClientPermeateClientMappingApplication.remove(lazyInternalNetworkClientPermeateClientMappingRemoveCommand);
    }
}