package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.client.permeate.client.mapping;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMapping;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 客户端渗透客户端映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 09:55 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyInternalNetworkClientPermeateClientMappingRepository {


    /**
     * describe 新增客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMapping 新增客户端渗透客户端映射     
     * @return {@link  Result<LazyInternalNetworkClientPermeateClientMapping>} 客户端渗透客户端映射新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<LazyInternalNetworkClientPermeateClientMapping> story(LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping);

    /**
     * describe 批量新增客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMappingList 批量新增客户端渗透客户端映射     
     * @return {@link Result<List<LazyInternalNetworkClientPermeateClientMapping>>} 客户端渗透客户端映射新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<List<LazyInternalNetworkClientPermeateClientMapping>> batchStory(List<LazyInternalNetworkClientPermeateClientMapping> lazyInternalNetworkClientPermeateClientMappingList);

    /**
     * describe 查询单个客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMapping 查询单个客户端渗透客户端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateClientMapping>} 客户端渗透客户端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<LazyInternalNetworkClientPermeateClientMapping> findOne(LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping);

    /**
     * describe 查询多个客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMapping 查询多个客户端渗透客户端映射     
     * @return {@link Result<List<LazyInternalNetworkClientPermeateClientMapping>>} 客户端渗透客户端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<List<LazyInternalNetworkClientPermeateClientMapping>> findList(LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping);

    /**
     * describe 分页查询多个客户端渗透客户端映射
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyInternalNetworkClientPermeateClientMapping 分页查询多个客户端渗透客户端映射     
     * @return {@link Result<LazyPage<LazyInternalNetworkClientPermeateClientMapping>>} 分页客户端渗透客户端映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<LazyPage<LazyInternalNetworkClientPermeateClientMapping>> findPage(int size,int current,LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping);

    /**
     * describe 删除客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMapping 删除客户端渗透客户端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateClientMapping>} 客户端渗透客户端映射     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<LazyInternalNetworkClientPermeateClientMapping> remove(LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping);

    /**
     * describe 是否存在客户端渗透客户端映射
     *
     * @param lazyInternalNetworkClientPermeateClientMapping 是否存在客户端渗透客户端映射     
     * @return {@link Result<Boolean>} 客户端渗透客户端映射是否存在     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/

    Result<Boolean> exists(LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping);

}