package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.client.permeate.server.mapping;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.client.permeate.server.mapping.LazyInternalNetworkClientPermeateServerMapping;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 客户端渗透服务端映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 09:26 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyInternalNetworkClientPermeateServerMappingRepository {


    /**
     * describe 新增客户端渗透服务端映射
     *
     * @param lazyInternalNetworkClientPermeateServerMapping 新增客户端渗透服务端映射     
     * @return {@link  Result<LazyInternalNetworkClientPermeateServerMapping>} 客户端渗透服务端映射新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<LazyInternalNetworkClientPermeateServerMapping> story(LazyInternalNetworkClientPermeateServerMapping lazyInternalNetworkClientPermeateServerMapping);

    /**
     * describe 批量新增客户端渗透服务端映射
     *
     * @param lazyInternalNetworkClientPermeateServerMappingList 批量新增客户端渗透服务端映射     
     * @return {@link Result<List<LazyInternalNetworkClientPermeateServerMapping>>} 客户端渗透服务端映射新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<List<LazyInternalNetworkClientPermeateServerMapping>> batchStory(List<LazyInternalNetworkClientPermeateServerMapping> lazyInternalNetworkClientPermeateServerMappingList);

    /**
     * describe 查询单个客户端渗透服务端映射
     *
     * @param lazyInternalNetworkClientPermeateServerMapping 查询单个客户端渗透服务端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateServerMapping>} 客户端渗透服务端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<LazyInternalNetworkClientPermeateServerMapping> findOne(LazyInternalNetworkClientPermeateServerMapping lazyInternalNetworkClientPermeateServerMapping);

    /**
     * describe 查询多个客户端渗透服务端映射
     *
     * @param lazyInternalNetworkClientPermeateServerMapping 查询多个客户端渗透服务端映射     
     * @return {@link Result<List<LazyInternalNetworkClientPermeateServerMapping>>} 客户端渗透服务端映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<List<LazyInternalNetworkClientPermeateServerMapping>> findList(LazyInternalNetworkClientPermeateServerMapping lazyInternalNetworkClientPermeateServerMapping);

    /**
     * describe 分页查询多个客户端渗透服务端映射
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyInternalNetworkClientPermeateServerMapping 分页查询多个客户端渗透服务端映射     
     * @return {@link Result<LazyPage<LazyInternalNetworkClientPermeateServerMapping>>} 分页客户端渗透服务端映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<LazyPage<LazyInternalNetworkClientPermeateServerMapping>> findPage(int size,int current,LazyInternalNetworkClientPermeateServerMapping lazyInternalNetworkClientPermeateServerMapping);

    /**
     * describe 删除客户端渗透服务端映射
     *
     * @param lazyInternalNetworkClientPermeateServerMapping 删除客户端渗透服务端映射     
     * @return {@link Result<LazyInternalNetworkClientPermeateServerMapping>} 客户端渗透服务端映射     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<LazyInternalNetworkClientPermeateServerMapping> remove(LazyInternalNetworkClientPermeateServerMapping lazyInternalNetworkClientPermeateServerMapping);

    /**
     * describe 是否存在客户端渗透服务端映射
     *
     * @param lazyInternalNetworkClientPermeateServerMapping 是否存在客户端渗透服务端映射     
     * @return {@link Result<Boolean>} 客户端渗透服务端映射是否存在     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:26 晚上
     **/

    Result<Boolean> exists(LazyInternalNetworkClientPermeateServerMapping lazyInternalNetworkClientPermeateServerMapping);

}