package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.permeate.port.pool;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPool;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 服务端内网渗透端口池 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:26 夜间
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyNettyServerPermeatePortPoolRepository {


    /**
     * describe 新增服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPool 新增服务端内网渗透端口池     
     * @return {@link  Result<LazyNettyServerPermeatePortPool>} 服务端内网渗透端口池新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPool> story(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);

    /**
     * describe 批量新增服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolList 批量新增服务端内网渗透端口池     
     * @return {@link Result<List<LazyNettyServerPermeatePortPool>>} 服务端内网渗透端口池新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<List<LazyNettyServerPermeatePortPool>> batchStory(List<LazyNettyServerPermeatePortPool> lazyNettyServerPermeatePortPoolList);

    /**
     * describe 查询单个服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPool 查询单个服务端内网渗透端口池     
     * @return {@link Result<LazyNettyServerPermeatePortPool>} 服务端内网渗透端口池DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPool> findOne(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);

    /**
     * describe 查询多个服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPool 查询多个服务端内网渗透端口池     
     * @return {@link Result<List<LazyNettyServerPermeatePortPool>>} 服务端内网渗透端口池DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<List<LazyNettyServerPermeatePortPool>> findList(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);

    /**
     * describe 分页查询多个服务端内网渗透端口池
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyNettyServerPermeatePortPool 分页查询多个服务端内网渗透端口池     
     * @return {@link Result<LazyPage<LazyNettyServerPermeatePortPool>>} 分页服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyPage<LazyNettyServerPermeatePortPool>> findPage(int size,int current,LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);

    /**
     * describe 删除服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPool 删除服务端内网渗透端口池     
     * @return {@link Result<LazyNettyServerPermeatePortPool>} 服务端内网渗透端口池     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPool> remove(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);

    /**
     * describe 是否存在服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPool 是否存在服务端内网渗透端口池     
     * @return {@link Result<Boolean>} 服务端内网渗透端口池是否存在     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<Boolean> exists(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);

}