package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMapping;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyInternalNetworkServerPermeateMappingDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 服务端网络渗透映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:35 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyInternalNetworkServerPermeateMappingConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/
    LazyInternalNetworkServerPermeateMappingConverter INSTANCE = Mappers.getMapper(LazyInternalNetworkServerPermeateMappingConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyInternalNetworkServerPermeateMappingDO 服务端网络渗透映射实体对象     
     * @return {@link LazyInternalNetworkServerPermeateMapping} 服务端网络渗透映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/
    LazyInternalNetworkServerPermeateMapping toLazyInternalNetworkServerPermeateMapping(LazyInternalNetworkServerPermeateMappingDO lazyInternalNetworkServerPermeateMappingDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyInternalNetworkServerPermeateMapping 服务端网络渗透映射领域对象     
     * @return {@link LazyInternalNetworkServerPermeateMappingDO} 服务端网络渗透映射实体对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/
     LazyInternalNetworkServerPermeateMappingDO fromLazyInternalNetworkServerPermeateMapping(LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping); 
}